package com.example.soulfood_assignment2;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.SearchView;
import android.widget.TextView;

import java.util.ArrayList;
import java.util.Arrays;

public class searchScreen extends AppCompatActivity {

    public ListView searchResults;
    public ArrayAdapter<String> adapter;
    public Intent vibeView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_search_screen);

        searchResults = findViewById(R.id.tagListView);

        ArrayList<String> searchResultsArray = new ArrayList<>();
        searchResultsArray.addAll(Arrays.asList(getResources().getStringArray(R.array.searchResultsArray)));

        adapter = new ArrayAdapter<String>(
                searchScreen.this, android.R.layout.simple_list_item_1, searchResultsArray
        );

        searchResults.setAdapter(adapter);
        searchResults.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                switch (position) {
                    case 0:
                        tagNamePage("Songs with 'Happy' Tag", vibeView);
                        break;
                    case 1:
                        tagNamePage("Songs with 'Apple' Tag", vibeView);
                        break;
                    case 2:
                        tagNamePage("Songs with 'Banana' Tag", vibeView);
                        break;
                    case 3:
                        tagNamePage("Songs with 'Grape' Tag", vibeView);
                        break;
                }
            }
        });


    }

    public void tagNamePage(String tagNameMethod, Intent vibeView) {
        String tagName = tagNameMethod;
        vibeView = new Intent(searchScreen.this, swtViewScreen.class);
        vibeView.putExtra("tag_name", tagNameMethod);
        startActivity(vibeView);
    }

     public boolean onCreateOptionsMenu(Menu menu) {

        SearchView sv = findViewById(R.id.searchView);
        sv.setQueryHint("Search for tags");

       sv.setOnQueryTextListener(new SearchView.OnQueryTextListener() {
            @Override
            public boolean onQueryTextSubmit(String s) {
                return false;
            }

            @Override
            public boolean onQueryTextChange(String s) {
                adapter.getFilter().filter(s);
                return false;
            }
        });

        return super.onCreateOptionsMenu(menu);

    }
}
